cube_width     = 20.0;
sphere_radius1 = 11.0;
sphere_radius2 =  9.5;
opening_radius =  6.5;

difference(){
	translate([0, 0, cube_width/2])
		cube(cube_width,center=true);
	translate([0, 0, cube_width/2])
		sphere(r=sphere_radius1);
	translate([0,0,-1])
		cylinder(r=opening_radius,h=cube_width+2);
	translate([-cube_width/2-1,0,cube_width/2]) 
		rotate([0,90,0]) 
			cylinder(r=opening_radius,h=cube_width+2);
	translate([0,-cube_width/2-1,cube_width/2]) 
		rotate([0,90,90]) 
			cylinder(r=opening_radius,h=cube_width+2);
}

translate([0, 0, sphere_radius2]) sphere(r=sphere_radius2);